/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* taulukko */

.vertailutaulukko {
	font-size: 16px;
}

.vertailutaulukko th {
	text-align:left;
	font-weight: 600;
}

.vertailutaulukko .harmaa {
	background: #f7f7f7;
}

.vertailutaulukko .vaalea {
	background: #fff;
}

.vertailutaulukko .vaalea-otsikko {
	background: #fff;
}

/* tausta */

.taustavari {
background: linear-gradient(174deg, #F7F7F7 70%, #ffffff 30%);
}

/* Alakategorian sivulistaukset */

.listaus {
	font-size: 16px;
	margin: 0 0 20px 30px;
}

.listaus li {margin-bottom: 15px;}
.listaus a {color: #222;}

.listaus a:hover {
	color: #EC701C;
	text-decoration: underline; 
}


/* Kategoria-sivut */

.viiva {
	width: 50px;
	margin-top: 0px;
}

/* Painikkeet */

.orange a.wp-block-button__link:not(.has-background):hover {
	background: #f39e71;
}

.blue a.wp-block-button__link:not(.has-background):hover, .home .wp-block-post-excerpt__more-link:hover {
	background: #6486af;
}

.orange a.wp-block-button__link:not(.has-background) {
	background: #C94A00;
	color: #fff;
	font-size: 14px;
	border-radius: 4px !important;
	padding: 10px 16px !important;
	font-family: "jakarta-bold";
}

.blue a.wp-block-button__link:not(.has-background), .home .wp-block-post-excerpt__more-link  {
	background: #004c8a;
	color: #fff;
	font-size: 14px;
	border-radius: 4px !important;
	padding: 10px 16px !important;
	font-family: "jakarta-bold";
}

.menu-bar-item .icon-search {
    background: #C94A00;
    padding: 6px 10px 10px 10px;
    border-radius: 4px;
    color: #fff;
    margin-left: 10px;
}

.menu-bar-item .icon-search:hover {
    background: #f39e71;
    color: #fff;
}


/* Footer */

.footer-otsikko {
	font-weight: 600;
	font-size: 18px;
	line-height: 24px;
}
	
.footer-widgets .widget {margin-bottom: 25px;}
.footer-teksti {line-height: 1.8em;}
.footer-viiva {opacity: 0.2;}

.footer-some .wp-social-link.wp-social-link.wp-social-link {
    margin: 4px 4px 4px 0;
}

.footer-painikkeet .wp-block-button .wp-block-button__link {
	background: initial !important;
	color: #001221 !important;
	font-weight: 500;
	padding: 0px 10px 0px 10px;
	font-size: 16px;
}

.footer-painikkeet a.wp-block-button__link:not(.has-background):hover {
    color: #EC701C !important;
}


/* Sivupalkki & Tiedotteet-sivu */

h4 a {color: #004c8a;}
h4 a:hover {color: #ec701c;}

#right-sidebar h4 {font-weight: initial;} 

.sivupalkki-otsikko {
	font-size: 18px;
	font-weight: 500;
	margin-bottom: 0px;
}

.sivupalkki-pvm {
	font-size: 14px;
	margin-bottom: 20px;
}

.is-right-sidebar {padding: 0px 20px;} 

.viimeisimmat-tiedotteet {
	font-size: 18px;
	font-weight: 500;
}

.wp-block-latest-posts__post-author, .wp-block-latest-posts__post-date {
    font-size: 14px;
    margin-bottom: 20px !important;
    font-weight: 400;
}

.home .wp-block-post-title :where(a) {
    font-size: 20px;
    line-height: 30px;
    padding-top: 10px;
}

/* Hakupalkki */

.hakupalkki {max-width: 600px; margin-left: 0px;}
.hakupalkki input[type="search"] {border-radius: 5px 0px 0px 5px;}

.hakupalkki .wp-block-search__button.has-icon, .etsi-sivupalkki .wp-block-search__button.has-icon, button {
    color: #ffffff;
    background-color: #C94A00;
    border-radius: 0 5px 5px 0;
    padding: 10px 30px 10px 24px;
    margin-left: 0px;
	font-size: 18px;
}

.hakupalkki .wp-block-search__button.has-icon:hover, .etsi-sivupalkki .wp-block-search__button.has-icon:hover {
	color: #ffffff;
    background-color: #004C8A;
}

.etsi-sivupalkki input[type="search"], input[type="search"] {
	border-radius: 5px 0px 0px 5px;
	font-size: 18px;
}


/* Hakutulokset */

.entry-title {
    font-size: 22px;
	font-weight: 500;
}

.entry-content:not(:first-child), .entry-summary:not(:first-child), .page-content:not(:first-child) {
    margin-top: 15px;
	margin-bottom: 40px;
}

.search-results .entry-meta {
	display: none;
}

.search-results .page-title {
	margin-bottom: 35px;
	font-size: 36px;
}


.search-results .site, .search-no-results .site {padding-top: 20px;}


/* Tiedotteet etusivulla */

.tiedote .wp-block-post {
    border: 1px solid #EDEDED;
    padding: 30px 30px 30px 30px;
}

.wp-block-post-excerpt__more-link {
    margin-top: 20px;
}


/* Responsive */

/*@media (max-width: 1080px) and (min-width: 560px) {} */


@media screen and (max-width: 999px) {
	.home .is-layout-grid {
 display: initial !important;
}
}

@media screen and (max-width: 768px) {
.secondary-navigation {
	display: none;
}

.is-right-sidebar {
    padding: 0px;
}

.mobiili {
	display: none;
}
}


/* Fontit */

@font-face {
	font-family: "jakarta-bold";
	src: url("https://www.zoner.fi/tuki/wp-content/themes/generatepress_child/fonts/PlusJakartaSans-Bold.ttf");  	font-weight: normal;
}
